/* Inaktivering och aktivering av element, som användaren kan interagera med.
   För knappar (button-element) kan egenskapen disabled användas. För andra element, får man lägga till eller ta bort händelselyssnare och ändra elementets stil.
   Exemplet är baserat på exempel 3 i föreläsning F2. */
// --------------------------------------------------
// Globala variabler
let resElem;    // Element för utskrift av resultat
let startBtn;   // Knapp för att starta
let colorBoxes; // Lista med element för färgrutorna
let ballBtn;    // Knapp för bollen
let colorCode;  // Färgkod som användaren väljer
// --------------------------------------------------
// Initiering av globala variabler och händelselyssnare
function init() {
    resElem = document.querySelector("#result");
    ballBtn = document.querySelector("#ballBtn");
    ballBtn.disabled = true; // Inaktivera knappen
    ballBtn.addEventListener("click", paintBall);

    startBtn = document.querySelector("#startBtn");
    startBtn.addEventListener("click", start);

    colorBoxes = document.querySelectorAll("#colors div"); // Färgrutorna
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Starta alltihop
function start() {
    enableColorSelection(); // Aktivera färgrutorna
    startBtn.disabled = true; // Inaktivera knappen
    startBtn.style.cursor = "default";
} // Slut start
// --------------------------------------------------
// Aktivera färgrutorna
function enableColorSelection() {
    for (let i = 0; i < colorBoxes.length; i++) {
        colorBoxes[i].addEventListener("click", chooseColor);
        // colorBoxes[i].style.opacity = 1;
        // colorBoxes[i].style.cursor = "pointer";
        colorBoxes[i].classList.add("enabled");
    }
} // Slut enableColorSelection
// --------------------------------------------------
// Inaktivera färgrutorna
function disableColorSelection() {
    for (let i = 0; i < colorBoxes.length; i++) {
        colorBoxes[i].removeEventListener("click", chooseColor);
        colorBoxes[i].classList.remove("enabled");
    }
} // Slut disableColorSelection
// --------------------------------------------------
// Välj och skriv ut vald färg
function chooseColor() {
    let color = this.innerText;
    colorCode = this.getAttribute("data-color");
    resElem.innerText = "Du valde " + color;
    ballBtn.disabled = false; // Aktivera knappen
    ballBtn.style.cursor = "pointer";
} // Slut chooseColor
// --------------------------------------------------
// Färglägg boll med vald färg
function paintBall() {
    let ballElem = document.querySelector("#ball");
    ballElem.style.backgroundColor = colorCode;
    disableColorSelection(); // Inaktivera färgrutorna
    ballBtn.disabled = true;
    ballBtn.style.cursor = "default";
    startBtn.disabled = false;
    startBtn.style.cursor = "pointer";
} // Slut paintBall
// --------------------------------------------------
