/* Experiment med querySelector och querySelectorAll */
// --------------------------------------------------
// Globala variabler
let selFruitElem;       // Element för vald frukt
let fruitListElem;      // Element för lista av valda frukter
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
    let usingTouchScreen = ("ontouchstart" in window); // "Flagga" om pekskärm används
    selFruitElem = document.querySelector("#selectedFruit");
    fruitListElem = document.querySelector("#fruitList");
    let iconImgs = document.querySelectorAll("#fruiticons img");
    for (let i = 0; i < iconImgs.length; i++) {
        if (!usingTouchScreen) { // Dessa händelselyssnare läggs endast på om vi har en mus
            iconImgs[i].addEventListener("mouseenter", showSelectedFruit);
            iconImgs[i].addEventListener("mouseleave", hideSelectedFruit);
            //iconImgs[i].addEventListener("click", hideSelectedFruit);
        }
        iconImgs[i].addEventListener("click", addSelectedFruit);
    }
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Visa stor bild för vald frukt
function showSelectedFruit() {
    selFruitElem.innerText = this.alt;
} // Slut showSelectedFruit
// --------------------------------------------------
// Dölj stor bild för vald frukt
function hideSelectedFruit() {
    selFruitElem.innerText = "";
} // Slut hideSelectedFruit
// --------------------------------------------------
// Skriv namn på vald frukt
function addSelectedFruit() {
    fruitListElem.innerHTML += this.alt + " ";
} // Slut addSelectedFruit
// --------------------------------------------------
